
QGIS Application - Bug report #21930

Crash when opening a project with PostGIS rasters

2019-04-25 02:07 PM - Markus Weidenbach

Status: Feedback

Priority: High

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.6.2 Regression?: No

Operating System: qgis on win 7, psql 10 on debian 9 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29745

Description

User Feedback

I am trying to open a postgis project (PSQL 10). All Layers are being loaded. I can see the complete list in the Layer Window, but before

the layers are being displayed on the canvas, QGIS crashes.

I am using the passwort authentication manager, where my password is saved and the configuration is set to "SSL preferred".

I am also using different user/passwords, with diferent PostGIS/PSQL priviliges. The crash happens with my admin user login and with

the read-only user login.  

I used the DB Manager to add raster data stored on PSQL to the QGIS Project.

Report Details

Crash ID: 32d075ab92c40bf51fd4bb9e96d388e778621db8

Stack Trace

BIO_ctrl :

SSLv3_client_method :

SSLv3_client_method :

PQinitSSL :

PQinitSSL :

PQenv2encoding :

PQgetResult :

PQgetResult :

PQexec :

GDALRegister_PostGISRaster :

GDALRegister_PostGISRaster :

GDALRasterBand::RasterIO :

dataCapabilities :

QgsMultiBandColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPartInternal :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicated by QGIS Application - Bug report # 21959: qgis crash with postgis ... Closed 2019-04-30

History

#1 - 2019-04-26 07:14 PM - Markus Weidenbach

User Feedback

One day later, I changed to QGIS Noosa 3-6-2 and an reproduce the above mentioned crash again.

Then I worked with another PostGIS Project including some 10 different PostGIS Raster Layers (all one band 8bit map scans).

I opened 5 of theses Raster Layers m successfully and displayed them on the canvas, but when I opened an additional one, QGIS crashed.

Report Details

Crash ID: 47170dcdddb0c3e348cbeac5b7706e0a3a16d0ef

Stack Trace

BIO_write :

SSLv3_client_method :

SSLv3_client_method :

SSLv3_client_method :

SSLv3_client_method :

SSLv3_client_method :

PQinitSSL :

PQenv2encoding :

PQgetResult :

PQgetResult :

PQexec :

GDALRegister_PostGISRaster :

GDALRegister_PostGISRaster :

GDALRasterBand::RasterIO :

dataCapabilities :

QgsMultiBandColorRenderer::block :

QgsBrightnessContrastFilter::block :

QgsHueSaturationFilter::block :

QgsRasterResampleFilter::block :

QgsRasterProjector::block :

QgsRasterIterator::readNextRasterPartInternal :

QgsRasterDrawer::draw :

QgsRasterLayerRenderer::render :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsMapRendererParallelJob::renderingFinished :

QgsMapRendererParallelJob::cancelWithoutBlocking :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#2 - 2019-04-30 06:26 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

so is this definitively related to loading PostGIS rasters?

#3 - 2019-04-30 09:46 PM - Markus Weidenbach

Giovanni Manghi wrote:

so is this definitively related to loading PostGIS rasters?

Yes, this is my guess. Maybe it has to do with the differenr credentials that I used when I added the rasters via the DB Manager, in other words: I added

some of the rasters to the same project when I was connecetd with the PostGIS DB as an read-only user, and I added others to the same project when I

was connected to the DB as admin (?)

I am also not fully sure if the Authentification Manager and the encoded user/pwd information has sth. to do with it.

I´ll keep an eye on this when I work with the modified projectfile next time.

Regards, 

Markus

#4 - 2019-05-01 05:46 PM - Giovanni Manghi

- Subject changed from Crash when opening a project on PostGIS to Crash when opening a project with PostGIS rasters

I can't replicate here, Linux and QGIS 3.6.2

#5 - 2019-05-01 05:46 PM - Giovanni Manghi

- Duplicated by Bug report #21959: qgis crash with postgis rasters added
